package com.kmlabz.k8s

import java.time.Instant
import java.time.ZoneId
import java.time.format.DateTimeFormatter

class ProcessResults {
    var mapToProcess = LinkedHashMap<Int, Instant>()
    private var formatter = DateTimeFormatter.ofPattern("yyyy-MM-dd_HH-mm-ss_SSS")
        .withZone(ZoneId.systemDefault())


    fun process() {
        println("Start processing results")
        for ((id, instant) in this.mapToProcess) {
            val currInstantString = formatter.format(instant)
            println("$id, $currInstantString")
        }
    }
}